Bug 926084 - log4c: Does not support aarch64 in f19 and rawhide
Summary: log4c: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: log4c
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 15:24 UTC by Dennis Gilmore
Modified: 2013-04-27 02:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:26:47 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 15:24:45 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  log4c appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/log4c/log4c-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 František Dvořák 2013-04-06 16:01:27 UTC
Added check for autoconf version into upstram and the new release 1.2.3 has been made. -- Frantisek

Comment 2 Fedora Update System 2013-04-06 16:35:39 UTC
log4c-1.2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/log4c-1.2.3-1.fc17

Comment 3 Fedora Update System 2013-04-06 16:36:42 UTC
log4c-1.2.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/log4c-1.2.3-1.fc18

Comment 4 Fedora Update System 2013-04-06 16:37:37 UTC
log4c-1.2.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/log4c-1.2.3-1.fc19

Comment 5 Fedora Update System 2013-04-07 00:29:45 UTC
Package log4c-1.2.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing log4c-1.2.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5065/log4c-1.2.3-1.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-09 11:08:12 UTC
log4c-1.2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/log4c-1.2.3-1.el5

Comment 7 Fedora Update System 2013-04-09 11:09:38 UTC
log4c-1.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/log4c-1.2.3-1.el6

Comment 8 Fedora Update System 2013-04-18 02:26:50 UTC
log4c-1.2.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-04-18 02:33:49 UTC
log4c-1.2.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-04-20 19:22:28 UTC
log4c-1.2.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-04-27 02:04:36 UTC
log4c-1.2.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-04-27 02:04:44 UTC
log4c-1.2.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.